Name: xsm
Version: 1.0.3
Release: %mkrel 1
Summary: X Session Manager
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2

License: MIT
BuildRequires: pkgconfig
BuildRequires: libxaw-devel >= 1.0.1
BuildRequires: libxext-devel 
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: libice-devel
BuildRequires: x11-util-macros >= 1.0.1


%description
Xsm is a session manager. A session is a group of applications, each of which
has a particular state. xsm allows you to create arbitrary sessions - for
example, you might have a "light" session, a "development" session, or an
"xterminal" session. Each session can have its own set of applications. Within
a session, you can perform a "checkpoint" to save application state, or a
"shutdown" to save state and exit the session. When you log back in to the
system, you can load a specific session, and you can delete sessions you no
longer want to keep.

Some session managers simply allow you to manually specify a list of
applications to be started in a session. xsm is more powerful because it lets
you run applications and have them automatically become part of the session. On
a simple level, xsm is useful because it gives you this ability to easily
define which applications are in a session. The true power of xsm, however, can
be taken advantage of when more and more applications learn to save and restore
their state.

%prep
%setup -q -n %{name}-%{version}

%build
sed -i '/XAW_/ s/)/, xaw7)/; /XAW_/ s/XAW_CHECK_XPRINT_SUPPORT/PKG_CHECK_MODULES/' configure.ac
autoreconf -f -i -v
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%{_bindir}/xsm
%config %{_sysconfdir}/X11/xsm/system.xsm
%{_datadir}/X11/app-defaults/XSm
%{_mandir}/man1/xsm.1*




%changelog
* Fri Sep 09 2016 luigiwalser <luigiwalser> 1.0.3-1.mga6
+ Revision: 1051177
- 1.0.3
- remove no longer needed patches
- remove no longer needed rsh BR

* Tue Aug 30 2016 tv <tv> 1.0.1-9.mga6
+ Revision: 1049469
- imported package xsm

